# Modelo
Date: 2019-12-18

## Class Modelo

- java.lang.Object
- - Modelo

    public class Modelo
    extends java.lang.Object

### Method Summary

All Methods Instance Methods Concrete Methods
`java.sql.ResultSet` `buscarTransaccion(int id)` Busca las transacciones con ese id
`void` `eliminartransaccion(int id)` Elimina una transaccion del id pasado
`void` `insertarTransaccion(java.lang.String nombre, float dinero, java.lang.String fecha)` Inserta una transaccion
`void` `modificarTransaccion(int id, java.lang.String nombre, float dinero, java.lang.String fecha)` Modifica una transaccion por todos sus datos, por id
`java.sql.ResultSet` `obtenerTransacciones()` Obtiene las transaciones

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### insertarTransaccion

    public void insertarTransaccion(java.lang.String nombre,
                                    float dinero,
                                    java.lang.String fecha)

Inserta una transaccion

Parameters:
  `nombre` - nombre de la transaccion
  `dinero` - cantidad de efectivo de la transaccion
  `fecha` - fecha de la transaccion

#### obtenerTransacciones

    public java.sql.ResultSet obtenerTransacciones()

Obtiene las transaciones

Returns:
  Devuelve el result set de la consulta

#### eliminartransaccion

    public void eliminartransaccion(int id)

Elimina una transaccion del id pasado

Parameters:
  `id` - id de la transaccion a eliminar

#### modificarTransaccion

    public void modificarTransaccion(int id,
                                     java.lang.String nombre,
                                     float dinero,
                                     java.lang.String fecha)

Modifica una transaccion por todos sus datos, por id

Parameters:
  `id` - id de la transaccion a cambiar
  `nombre` - nuevo nombre
  `dinero` - nueva cantidad de la transaccion
  `fecha` - nueva fecha de la transaccion

#### buscarTransaccion

    public java.sql.ResultSet buscarTransaccion(int id)

Busca las transacciones con ese id

Parameters:
  `id` - id de la transaccion a buscar
Returns:
  resultado de la consulta